Update gdata provider to work with current Thunderbird build versions. No bug, blanket-r=Fallen
authorMark Banner <bugzilla@standard8.plus.com>
Wed, 03 Dec 2008 14:24:01 +0000
changeset 1307 f20077c3686982ced9b6af126d8a9acf52f7ffb2
parent 1306 28399eb027cf47c2dd9649c3f88211901c2e0858
child 1308 78f769fc8f3d659043cb957b6868afe91ba4f6de
push idunknown
push userunknown
push dateunknown
Update gdata provider to work with current Thunderbird build versions. No bug, blanket-r=Fallen
calendar/providers/gdata/Makefile.in
calendar/providers/gdata/install.rdf
--- a/calendar/providers/gdata/Makefile.in
+++ b/calendar/providers/gdata/Makefile.in
@@ -45,18 +45,20 @@ MODULE = gdata-provider
 
 export USE_EXTENSION_MANIFEST = 1
 export XPI_NAME = gdata-provider
 DIST_FILES = install.rdf
 XPI_PKGNAME = gdata-provider
 STRIP_XPI = 1
 
 CALENDAR_VERSION := $(shell cat $(topsrcdir)/calendar/sunbird/config/version.txt)
+THUNDERBIRD_VERSION := $(shell cat $(topsrcdir)/mail/config/version.txt)
 DEFINES += -DAB_CD=$(AB_CD) \
            -DCALENDAR_VERSION=$(CALENDAR_VERSION) \
+           -DTHUNDERBIRD_VERSION=$(THUNDERBIRD_VERSION) \
            -DCOMM_BUILD=$(COMM_BUILD) \
            $(NULL)
 
 PREF_JS_EXPORTS = $(srcdir)/defaults/preferences.js
 DIRS = components locales public
 
 libs-%:
 	$(MAKE) -C locales libs AB_CD=$* XPI_NAME=$(XPI_NAME) USE_EXTENSION_MANIFEST=1
--- a/calendar/providers/gdata/install.rdf
+++ b/calendar/providers/gdata/install.rdf
@@ -53,18 +53,18 @@
         <em:minVersion>@CALENDAR_VERSION@</em:minVersion>
         <em:maxVersion>@CALENDAR_VERSION@</em:maxVersion>
       </Description>
     </em:targetApplication>
     <em:targetApplication>
       <Description>
         <!-- Thunderbird -->
         <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
-        <em:minVersion>3.0a1pre</em:minVersion>
-        <em:maxVersion>3.0b1pre</em:maxVersion>
+        <em:minVersion>@THUNDERBIRD_VERSION@</em:minVersion>
+        <em:maxVersion>@THUNDERBIRD_VERSION@</em:maxVersion>
       </Description>
     </em:targetApplication>
 
     <em:requires>
       <Description>
         <!-- Lightning (also Sunbird via extension stub) -->
         <em:id>{e2fda1a4-762b-4020-b5ad-a41df1933103}</em:id>
         <em:minVersion>@CALENDAR_VERSION@</em:minVersion>